Bug 196855 - emulators/qemu fails to build with GCC 4.9 (but claims it does)
Summary: emulators/qemu fails to build with GCC 4.9 (but claims it does)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Juergen Lock
URL:
Keywords:
Depends on:
Blocks: 196712
  Show dependency treegraph
 
Reported: 2015-01-18 23:08 UTC by Gerald Pfeifer
Modified: 2015-01-19 18:54 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (nox)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer freebsd_committer 2015-01-18 23:08:58 UTC
This is important since it blocks the upgrade of the default version
of GCC from GCC 4.8 to GCC 4.9.  If you cannot fix it, please change
to USE_GCC=4.8 for the time being.

http://package23.nyi.freebsd.org/data/101i386-default-PR196712/2015-01-16_07h04m40s/logs/errors/qemu-0.11.1_18.log

  CC    i386-softmmu/cpu-exec.o
In file included from /wrkdirs/usr/ports/emulators/qemu/work/qemu-0.11.1/target-i386/exec.h:57:0,
                 from /wrkdirs/usr/ports/emulators/qemu/work/qemu-0.11.1/cpu-exec.c:20:
/wrkdirs/usr/ports/emulators/qemu/work/qemu-0.11.1/cpu-exec.c: In function 'cpu_x86_exec':
/wrkdirs/usr/ports/emulators/qemu/work/qemu-0.11.1/target-i386/cpu.h:865:18: error: frame pointer required, but reserved
 #define cpu_exec cpu_x86_exec
                  ^
/wrkdirs/usr/ports/emulators/qemu/work/qemu-0.11.1/cpu-exec.c:214:5: note: in expansion of macro 'cpu_exec'
 int cpu_exec(CPUState *env1)
Comment 1 Bugzilla Automation freebsd_committer 2015-01-18 23:08:58 UTC
Auto-assigned to maintainer nox@FreeBSD.org
Comment 2 commit-hook freebsd_committer 2015-01-19 18:47:33 UTC
A commit references this bug:

Author: nox
Date: Mon Jan 19 18:46:51 UTC 2015
New revision: 377449
URL: https://svnweb.freebsd.org/changeset/ports/377449

Log:
  Fix build on 10+/i386 for when gcc49 becomes default (and fix ALL_TARGETS
  on 10+/i386 while we're at it.)

  PR:		196855
  Submitted by:	gerald

Changes:
  head/emulators/qemu/Makefile
Comment 3 Juergen Lock freebsd_committer 2015-01-19 18:54:59 UTC
Workaround committed.  Thanks!